SparkyLinux Forums

Software & hardware support => Desktops => Topic started by: rektal on October 19, 2021, 07:04:56 am

Title: KDE Plasma updates errors <SOLVED>
Post by: rektal on October 19, 2021, 07:04:56 am
Yesterday I had a problem logging into my account. There was a black screen and only the mouse pointer was working.
I had to use Timeshift to log in and go back to October 16th.
There was another update this morning and after restarting I can't login again.
It stopped typing a password and froze the screen.
Now I have to use Timeshift again.
Is Kde Plasma stable on Debian? Should I not update the system at all?

Title: Re: KDE Plasma updates errors
Post by: pavroo on October 19, 2021, 10:37:27 am
What edition? stable or rolling?
Title: Re: KDE Plasma updates errors
Post by: pavroo on October 19, 2021, 01:08:13 pm
Ok, its confirmed on testing.

A problem is with kwin x11 5.21.5.

Solution:
Temporary enable debian sid repos.
Install 'kwin-x11' package and all its dependencies from Sid.
Disable Sid repos, then reboot.
Title: Re: KDE Plasma updates errors
Post by: rektal on October 19, 2021, 03:42:34 pm
I am on Sparky 7.
Should I upgrade to Plasma 5.23 and then install kwin-x11 and its dependencies from sid repo?
I restored my system to October 16th again. Then i upgraded system to Plasma 5.23. I enabled sid repos.

I see that Muon shows kwin-x11 packages version 5.23 and 5.21.5. Should I install kwin-x11 version 5.21.5 and block it?
Kwin-x11 is related to kwin-addons. Should i install kwin-addons 5.21.5  too?
Title: Re: KDE Plasma updates errors
Post by: pavroo on October 19, 2021, 05:07:02 pm
Upgrade kwin-x11 with its dependencies only as i said before.
Don't know how newer plasma work.
Title: Re: KDE Plasma updates errors
Post by: rektal on October 19, 2021, 06:27:14 pm
This solution works.
Title: Re: KDE Plasma updates errors <SOLVED>
Post by: rektal on October 20, 2021, 07:44:42 pm
I have noticed that Discover didn't download updates.
I have to use terminal or APTus AppCenter to update the system.